
------------------------------------------------------------------------------------
-- Name : nUI_Plugin_TempMovers                                          
-- Copyright : Tina Kirby AKA Xrystal (C) 2009/2010 All Rights Reserved      
-- Contact : xrystal@swangen.co.uk                                           
-- Download Sites :                                                          
-- Version : 1.01.00 - New
-- Version : 1.02.00 - Added fake player frame functionality on target change
-- Version : 1.03.00 - also used fake player frame stuff on entering world
-- Version : 1.04.00 - Use Paladin and Warlock OnLoad and Update routines when initialising 
-- Version : 1.05.00 - Use Druid UpdateShown routine when initialising
-- Version : 1.06.00 - Hide Druid Eclipse Bar so as not to call OnShow too soon
-- Version : 1.07.00 - Make sure Druid Eclipse Bar is allowed to be moved
------------------------------------------------------------------------------------

--[[ Use Addon Wide Data Table ]]--
local addonName,addonData = ...

local PTM_Frame = CreateFrame("Frame","PTM_Frame",UIParent);
PTM_Frame:SetParent(UIParent);
PTM_Frame:SetPoint("CENTER");

local function PTM_WSSInit()	
	if ShardBarFrame then
		ShardBarFrame:SetParent(nil);
		ShardBarFrame:SetParent(PTM_Frame);
		ShardBarFrame:SetScale( 
			(nUI_HUDUnit_PlayerTarget_Castbar_Casting:GetTop() - nUI_HUDUnit_PlayerTarget_Castbar_Casting:GetBottom()) 
			/ (ShardBarFrame:GetTop()-ShardBarFrame:GetBottom()) 
			* 0.75
		);
		ShardBarFrame:SetFrameStrata( "BACKGROUND" );
		ShardBarFrame:SetFrameLevel( 0 );
		ShardBarFrame:ClearAllPoints();
		ShardBarFrame:SetPoint( "CENTER", nUI_HUDUnit_PlayerTarget_Castbar_Casting, "CENTER", 0, 0 );
		nUI_Movers:lockFrame( ShardBarFrame, false, "nUI_XShardBarFrame" );
		ShardBar_OnLoad (ShardBarFrame);
		ShardBar_Update();
	end
end

local function PTM_STBInit()
	if TotemFrame then
		TotemFrame:SetParent(nil);
		TotemFrame:SetParent(MultiCastActionBarFrame);
		TotemFrameTotem1:SetPoint("TOPLEFT",MultiCastActionButton1,"BOTTOMLEFT");
		TotemFrameTotem2:SetPoint("TOPLEFT",MultiCastActionButton2,"BOTTOMLEFT");
		TotemFrameTotem3:SetPoint("TOPLEFT",MultiCastActionButton3,"BOTTOMLEFT");
		TotemFrameTotem4:SetPoint("TOPLEFT",MultiCastActionButton4,"BOTTOMLEFT");
	end
end

local function PTM_PPBInit()
	if PaladinPowerBar then 
		PaladinPowerBar:SetParent(nil);
		PaladinPowerBar:SetParent(PTM_Frame);
		PaladinPowerBar:SetScale( 
			(nUI_HUDUnit_PlayerTarget_Castbar_Casting:GetTop() - nUI_HUDUnit_PlayerTarget_Castbar_Casting:GetBottom()) 
			/ (PaladinPowerBar:GetTop()-PaladinPowerBar:GetBottom()) 
			* 1.2
		);
		PaladinPowerBar:SetFrameStrata( "BACKGROUND" );
		PaladinPowerBar:SetFrameLevel( 0 );
		PaladinPowerBar:ClearAllPoints();
		PaladinPowerBar:SetPoint( "CENTER", nUI_HUDUnit_PlayerTarget_Castbar_Casting, "CENTER", 0, 0 );
		nUI_Movers:lockFrame( PaladinPowerBar, true, "nUI_XPaladinPowerBar" ); 		
		PaladinPowerBar_OnLoad(PaladinPowerBar);
		PaladinPowerBar_Update(PaladinPowerBar);
	end	
end

local function PTM_DEBInit()
	if EclipseBarFrame then
		EclipseBarFrame:Hide();
		EclipseBarFrame:SetParent(nil);
		EclipseBarFrame:SetParent(PTM_Frame);
		EclipseBarFrame:SetScale( 
			(nUI_HUDUnit_PlayerTarget_Castbar_Casting:GetTop() - nUI_HUDUnit_PlayerTarget_Castbar_Casting:GetBottom()) 
			/ (EclipseBarFrame:GetTop()-EclipseBarFrame:GetBottom()) 
		);
		EclipseBarFrame:SetFrameStrata( "BACKGROUND" );
		EclipseBarFrame:SetFrameLevel( 0 );
		EclipseBarFrame:ClearAllPoints();
		EclipseBarFrame:SetPoint( "CENTER", nUI_HUDUnit_PlayerTarget_Castbar_Casting, "CENTER", 0, 0 );
		nUI_Movers:lockFrame( EclipseBarFrame, true, "nUI_XDruidEclipseBar" ); 
		EclipseBar_OnLoad(EclipseBarFrame);
		EclipseBar_UpdateShown(EclipseBarFrame);		
	end
end

local function PTM_Events(self,event,...)
	local arg1,arg2,arg3,arg4,arg5,arg6 = ...;
	if ( event == "ADDON_LOADED" and arg1 == addonName ) then
		self.unit = PlayerFrame.unit;		
	elseif ( event == "PLAYER_ENTERING_WORLD" ) then		
		local _, class = UnitClass("player");
		self.unit = PlayerFrame.unit;		
		if class == "PALADIN" then PTM_PPBInit(); end
		if class == "WARLOCK" then PTM_WSSInit(); end
		if class == "SHAMAN" then PTM_STBInit(); end
		if class == "DRUID" then PTM_DEBInit(); end
		self:UnregisterEvent(event);
	elseif ( event == "PLAYER_TARGET_CHANGED" ) then
		self.unit = PlayerFrame.unit;
	end
end

--[[ Register the events we want to watch ]]--
PTM_Frame:SetScript( "OnEvent", PTM_Events );
PTM_Frame:RegisterEvent( "ADDON_LOADED" );
PTM_Frame:RegisterEvent( "PLAYER_ENTERING_WORLD" );
PTM_Frame:RegisterEvent( "PLAYER_TARGET_CHANGED" );

